<div class="modal-header">
    <button type="button" class="close" ng-click="cancel()">×</button>
    <h3 class="modal-title">
        <span class="agentNumber">{{agent.number}} </span>
        <span class="agentIdentity">{{agent.firstName}}  {{agent.lastName}} </span>
        <span class="glyphicon glyphicon-phone-alt">{{agent.phoneNb}}</span>
    </h3>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <a href class="btn btn-info" ng-click="logout()"><span class="glyphicon glyphicon-log-out"></span> {{'LOGOUT' | translate}}</a>
            </div>
        </div>
    </div>
</div>
<div class="modal-body">
    <form class="form-inline" name="changeAgentGroup"  novalidate>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="editAgentSelectGroup">{{'GROUP' | translate}}</label>
                    <select class="form-control" id="editAgentSelectGroup" ng-model="agent.groupId" ng-required="true"
                            ng-options="group.id as group.displayName for group in agentGroups | orderBy:'displayName'">
                    </select>
                </div>
            </div>
        </div>
    </form>
    <form name="agentQueueForm"> 
        <div>
            <button class="btn btn-primary btn-sm btn-block buttons-modal-agent" ng-click="applyDefaultMembership()"><span class="glyphicon glyphicon-arrow-left"></span>{{'SETDEFAULTASCURRENT' | translate}}</button>
        </div>  
        <div>
            <button class="btn btn-primary btn-sm btn-block buttons-modal-agent" ng-click="applyCurrentMembershipAsDefault()">{{'SETCURRENTASDEFAULT' | translate}}<span class="glyphicon glyphicon-arrow-right"></span></button>
        </div>                          
    
        <table ng-table="agentQueues" class="table table-striped table-condensed">
            
            <tr ng-repeat="queue in $data">
                <td><span class="glyphicon glyphicon-trash" ng-click="removeQueue(queue)"></span></td>
                <td data-title="'QUEUENUMBER' | translate" sortable="'number'"> <span class="badge">{{queue.number}}</span></td>
                <td data-title="'QUEUEDISPLAYNAME' | translate" sortable="'displayName'"> {{queue.displayName}}</td>
                <td data-title="'QUEUEPENALTY' | translate" sortable="'penalty'">
                <div><input class="form-control" ng-class="classPenalty(queue.penalty)" type="number" ng-model="queue.penalty" min="0" max="20" ng-change="validatePenalty(queue)"/></div>
                </td>
                <td data-title="'QUEUEBASEPENALTY' | translate" sortable="'default'">
                <div>
                    <input class="form-control" ng-class="classPenalty(queue.default)" type="number" ng-model="queue.default" min="0" max="20" ng-change="validatePenalty(queue)"/>
                </div>
                </td>
            </tr>
        </table>
        <div  class="alert alert-warning" ng-if="removedQueues.length > 0" role="alert">
            <span ng-if="removedQueues.length == 1">{{'REMOVEDSINGLEQUEUEWARNING' | translate}}</span>
            <span ng-if="removedQueues.length > 1">{{'REMOVEDQUEUESWARNING' | translate}}</span>
            <ul>
                <li ng-repeat="q in removedQueues track by q.id"><span class="badge">{{q.number}}</span> <strong>{{q.displayName}}<strong></li>
            </ul>
        </div>
        <div  class="alert alert-danger" ng-if="configManagerError" role="alert">
            <span>{{'CONFIGMANAGERERROR' | translate}}</span>
        </div>
    </form>

    <form class="form-inline" name="addQueueToAgent"  ng-required="true" ng-submit="addQueueToAgent.$valid && addQueue()" novalidate>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="editAgentSelectQueue"> {{'QUEUE' | translate}} </label>
                    <select class="form-control" id="editAgentSelectQueue" ng-model="newQueue.queue" ng-required="true"
                            ng-options="queue.displayName for queue in availableQueues | orderBy:'displayName'">
                    </select>
                </div>
                <div class="form-group">
                    <label for="editAgentSelectQueuePenaly"> {{'QUEUEPENALTY' | translate}}</label>
                    <input class="form-control" id="editAgentSelectQueuePenaly" ng-model="newQueue.penalty" type="number"  ng-required="true" min="0" max="20">
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-sucess" ng-disabled="addQueueToAgent.$invalid"><span class="glyphicon glyphicon-plus"></span></button>
                </div>
            </div>
        </div>
    </form>

</div>
<div class="modal-footer">
    <button class="btn btn-sucess" ng-click="ok()">{{'SAVE' | translate}}</button>
    <button class="btn btn-warning" ng-click="cancel()">{{'CANCEL' | translate}}</button>
</div>

